"""
Вспомогательные функции для default значений моделей.
"""


def get_default_polarization():
    from .references import Polarization
    obj, created = Polarization.objects.get_or_create(name="-")
    return obj.id


def get_default_modulation():
    from .references import Modulation
    obj, created = Modulation.objects.get_or_create(name="-")
    return obj.id


def get_default_standard():
    from .references import Standard
    obj, created = Standard.objects.get_or_create(name="-")
    return obj.id


def get_permission_choices():
    """Ленивая загрузка choices для избежания циклического импорта."""
    from ..permissions import PERMISSION_CHOICES
    return PERMISSION_CHOICES
